<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2017 osCommerce

  Released under the GNU General Public License
*/

  class ot_total_ht {
    var $title, $output;

    function ot_total_ht() {
      $this->code = 'ot_total_ht';
      $this->title = MODULE_ORDER_TOTAL_TOTAL_HT_TITLE;
      $this->description = MODULE_ORDER_TOTAL_TOTAL_HT_DESCRIPTION;
      $this->enabled = ((MODULE_ORDER_TOTAL_TOTAL_HT_STATUS == 'true') ? true : false);
      $this->sort_order = MODULE_ORDER_TOTAL_TOTAL_HT_SORT_ORDER;

      $this->output = array();
    }

    function process() {
      global $order, $currencies;

	  reset($order->info['tax_groups']);
	  while (list($key, $value) = each($order->info['tax_groups'])) {
		$value_total += $value;
	  }
	  $order->info['total_ht'] = $order->info['total'] - $value_total;
	  $this->output[] = array('title' => $this->title . ':',
							  'text' => $currencies->format($order->info['total_ht'], true, $order->info['currency'], $order->info['currency_value']),
							  'value' => $order->info['total_ht']);
    }

    function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_ORDER_TOTAL_TOTAL_HT_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }

      return $this->_check;
    }

    function keys() {
      return array('MODULE_ORDER_TOTAL_TOTAL_HT_STATUS', 'MODULE_ORDER_TOTAL_TOTAL_HT_SORT_ORDER');
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Affichage du total HT', 'MODULE_ORDER_TOTAL_TOTAL_HT_STATUS', 'true', 'Voulez-vous montrer le total HT de la commande ?', '6', '1','tep_cfg_select_option(array(\'true\', \'false\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Ordre de tri', 'MODULE_ORDER_TOTAL_TOTAL_HT_SORT_ORDER', '7', 'Ordre de tri pour l\'affichage (Le plus petit nombre est montr&eacute; en premier).', '6', '2', now())");
    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }
  }
?>
